wipe-sysroot: explain what is being deleted, and check for arguments

Print the directories that will be deleted, and add a rudimentary check for
arguments and display a message if arguments were passed.

[ YOCTO #5423 ]

(From OE-Core rev: e46b00a6810eaed27a24495cacb19e565de59fec)

Signed-off-by: Ross Burton <ross.burton@intel.com>
Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
This commit is contained in:
Ross Burton 2013-12-23 13:51:23 +00:00 committed by Richard Purdie
parent 5165328cb4
commit da9b4fa15c
1 changed files with 9 additions and 1 deletions

View File

@ -20,6 +20,12 @@
set -e
if [ $# -gt 0 ]; then
echo "Wipe all sysroots and sysroot-related stamps for the current build directory." >&2
echo "Usage: $0" >&2
exit 1
fi
ENVS=`mktemp --suffix -wipe-sysroot-envs`
bitbake -p -e > $ENVS
@ -29,10 +35,12 @@ eval `grep -F STAMPS_DIR= $ENVS`
rm -f $ENVS
if [ -z "$SSTATE_MANIFESTS" -o -z "$STAGING_DIR" -o -z "$STAMPS_DIR" ]; then
echo "Could not determine SSTATE_MANIFESTS/STAGING_DIR/STAMPS_DIR, check above for errors"
echo "Could not determine SSTATE_MANIFESTS/STAGING_DIR/STAMPS_DIR from bitbake, check above for errors"
exit 1
fi
echo "Deleting the sysroots in $STAGING_DIR, and selected stamps in $SSTATE_MANIFESTS and $STAMPS_DIR."
# The sysroots themselves
rm -rf $STAGING_DIR